FTL will not update to V4.0

v4-0

#1

Please follow the below template, it will help us to help you!

after running the up’ command FTL doesn’t update. It shows at the bottom of the dashboard update available. Ran -up 3 times and still shows same. Also pihole is not filtering anything. How do i fix or roll back update?

[Replace this text with what you think should be happening]

Actual Behaviour:

This is running on a raspberry pi zero w with the small display, as shown on Adafruit’s website.


Update to v4.0 failing curl: (22) The requested URL returned error: 404 Not Found
#2

What is the result of running the following command on the command line

pihole -v


#3

I got this result:

 [✓] Detected x86_64 architecture
  [i] Checking for existing FTL binary...
  [i] Downloading and Installing FTL...curl: (22) The requested URL returned error: 404 Not Found
  [✗] Downloading and Installing FTL
  Error: URL not found
  [✗] FTL Engine not installed

and

pihole@pihole:~$ pihole -v
  Pi-hole version is v4.0 (Latest: v4.0)
  AdminLTE version is v4.0 (Latest: v4.0)
  FTL version is v3.0 (Latest: v4.0)
pihole@pihole:~$

I couldnt update FTL


#4

Let’s make a change to your local name server to bypass Pi-Hole and try to get to the requested URL. The change is made once and will be overwritten on restart.

sudo nano /etc/resolv.conf and change 127.0.0.1 to 1.1.1.1 (using Cloudflare DNS instead of the Pi-Hole)

save this change and then run

pihole -up


Upgrade to Pi-Hole v4.0 failed
#5

I get the same as the other user.

pi@pi-hole:~ $ pihole -v
Pi-hole version is v4.0 (Latest: v4.0)
AdminLTE version is v4.0 (Latest: v4.0)
FTL version is v3.0 (Latest: v4.0)


#6

I followed your instruction and now its current. I get
pi@pi-hole:~ $ pihole -v
Pi-hole version is v4.0 (Latest: v4.0)
AdminLTE version is v4.0 (Latest: v4.0)
FTL version is v4.0 (Latest: v4.0)

:slight_smile: Thanks and have a great day! I’ll pass back this way the next time I need help. :slight_smile:

Now I shall see what ads it can slay! :smiley:


#7
 [i] Checking for existing FTL binary...
  [i] Downloading and Installing FTL...curl: (22) The requested URL returned error: 404 Not Found
  [✗] Downloading and Installing FTL
  Error: URL not found
  [✗] FTL Engine not installed

got this again


#8

And again ;(

[i] FTL Checks...
  [✓] Detected x86_64 architecture
  [i] Checking for existing FTL binary...
  [i] Downloading and Installing FTL...curl: (22) The requested URL returned error: 404 Not Found
  [✗] Downloading and Installing FTL
  Error: URL not found
  [✗] FTL Engine not installed

I did as u said but it dont work for me ;(

 Current Pi-hole version is v4.0
  Current AdminLTE version is v4.0
  Current FTL version is v3.0
pihole@pihole:~$

Iam using this OS:

pihole@pihole:~$ cat /etc/os-release
NAME="Ubuntu"
VERSION="16.04.5 LTS (Xenial Xerus)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 16.04.5 LTS"
VERSION_ID="16.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
VERSION_CODENAME=xenial
UBUNTU_CODENAME=xenial
pihole@pihole:~$

#9

I got it to work when I used this command:

pihole checkout master

Then it update fine :slight_smile:

pihole@pihole:~$ pihole -v
[sudo] lösenord för pihole:
  Pi-hole version is v4.0 (Latest: v4.0)
  AdminLTE version is v4.0 (Latest: v4.0)
  FTL version is v4.0 (Latest: v4.0)
pihole@pihole:~$

#10

I’m getting the same thing. Made the change to resolve.conf, saved, but no joy with the pi-hole -up. I get an error as per the following:

  [i] Checking for updates...
  [i] Pi-hole Core:     up to date
  [i] FTL:              up to date
  [i] Web Interface:    update available

  [i] Pi-hole Web Admin files out of date
  [✓] Check for existing repository in /var/www/html/admin
  [i] Update repo in /var/www/html/admin...
  Error: Could not update local repository. Contact support.

This repeats if I do another pihole -up
My versions of software on a pi are:

Pi-hole version is v4.0 (Latest: v4.0)
  AdminLTE version is v3.3 (Latest: v4.0)
  FTL version is v4.0 (Latest: v4.0)